/* -------------------------------- ginasios -------------------------------- */

#search-gyms  .elementor-pagination{
    color: #F73F41;
}

#search-gyms  .elementor-pagination:hover{
    color: #A52869;
}


#search-gyms .searchandfilter h4 {
  color: var(--Black, #231F20);
  font-family: Montserrat;
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  padding: 10px 0 10px;
}

#search-gyms .searchandfilter label {
  color: var(--Black, #231F2099);
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
  padding-left: 30px;
  cursor: pointer;
}

#search-gyms .searchandfilter > ul > li {
  padding-top: 0;
  border-top: 1px solid #231f2026;
}

#search-gyms .searchandfilter > ul{
    margin-left: 15px;
}


#search-gyms .searchandfilter > ul > li li{
    position: relative;
    cursor: pointer;
    display: none;
}

#search-gyms .searchandfilter ul li li:first-child {
  padding-top: 0;
}

#search-gyms  .searchandfilter ul li li:last-child {
  padding-bottom: 0;
}

#search-gyms .sf-input-checkbox {
  display: none;
}

#search-gyms input.sf-input-checkbox:not(:checked) + label::after {
  opacity: 0;
  transform: scale(0);
}

#search-gyms input.sf-input-checkbox:not(:checked) + label::before, 
#search-gyms input.sf-input-checkbox:checked + label::before {
  content: "";
  position: absolute;
  left: 0;
  border-radius: 3px !important;
  border: 1px solid #D4D4D4;
  width: 20px !important;
  height: 20px;
  background: white;
}

#search-gyms input.sf-input-checkbox:not(:checked) + label::after, 
#search-gyms input.sf-input-checkbox:checked + label::after {
  content: '✔';
  background-position: center;
  background-size: contain;
  position: absolute;
  width: 20px;
  height: 20px;
  left: 0;
  line-height: 20px;
  transition: all 0.2s;
  border-radius: 0;
  text-align: center;
}

#search-gyms .show-more-btn {
  color: var(--Red, #F73F41);
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
  cursor: pointer;
  margin-bottom: 10px;
}

#search-gyms .searchandfilter ul > li > ul {
  margin-bottom: 5px !important;
}

.post-gym-container {
  border-radius: 10px;
  background: #FFF;
  box-shadow: 0px 10px 30px 0px rgba(0, 0, 0, 0.10) !important;
  overflow: hidden;
  text-align: left;
  height: 100%;
}

.container-ginasio-single {
  padding: 15px 15px 30px 15px;
  height: calc(100% - 235px);
  display: flex;
  flex-direction: column;
}

.container-ginasio-single .elementor-post__title{
    margin-bottom: 20px;
}

.button-gym-single{
    margin-top: auto;
} 

.button-gym-single .text-button-ginasio{
  color: var(--Red, #F73F41);
  font-family: Montserrat;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 100%;
  letter-spacing: 1.2px;
  text-transform: uppercase;
  border: 1px solid;
  padding: 12px 30px;
  border-radius: 50px;
  display: inline-block;
}

.elementor-post-cat {
  color: var(--Black, #231F20);
  font-family: Montserrat;
  font-size: 11px;
  font-style: normal;
  font-weight: 600;
  line-height: 140%;
  text-transform: uppercase;
  opacity: 0.5;
}

.hour-ginasio-single{
  color: var(--Black, #231F2099);
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
  display: block;
  margin-bottom: 20px;
  padding-left: 25px;
  position: relative;
}

.hour-ginasio-single::before{
  content: '';
  width: 18px;
  height: 18px;
  background-image: url(/wp-content/uploads/2025/01/ginasio-icon-horario.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  left: 0;
  top: 0;
  line-height: 1.8em;
}

.location-gym-single {
  color: var(--Black, #231F2099);
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
  display: block;
  margin-bottom: 10px;
  padding-left: 25px;
  position: relative;
}

.location-gym-single::before {
  content: '';
  width: 18px;
  height: 18px;
  background-image: url(/wp-content/uploads/2025/01/morada_icon.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  left: 0;
  top: 0;
  line-height: 1.8em;
}

.img-ginasio-single img {
	height: 100%;
	width: 100%;
	object-fit: cover;
}

.img-ginasio-single {
	height: 235px;
	border-bottom: 7px solid #A52869;
	position: relative
}

.destaque-field {
  position: absolute;
  top: 20px;
  padding: 8px 15px 8px 20px;
  border-radius: 0px 50px 50px 0px;
  box-shadow: -5px 5px 10px 0px rgba(0, 0, 0, 0.25);
  text-align: right;
  font-family: Montserrat;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 140%;
}

.solinca-classic .destaque-field{
    background-color: #4052F7;
    color: var(--White, #FFF);
}

.solinca-light .destaque-field{
    background-color: #F8D026;
    color: #231F20;
}

.button-gym-single .text-button-ginasio:hover {
  background: #A52869;
  border-color: #A52869;
  color: white;
}

/*****************proximos*********************/


.post-gym-container.ginasio-proximo .img-ginasio-single {
  height: 200px;
  border-bottom: 7px solid #A52869;
  overflow: hidden;
}

.ginasios-proximos .img-ginasio-single img {
  scale: 1;
  transition: scale 0.5s ease-in-out;
}

.ginasios-proximos .img-ginasio-single:hover img {
  scale: 1.1;
  transition: scale 0.5s ease-in-out;
}


.post-gym-container.ginasio-proximo{
  border-radius: 0;
}

.post-gym-container.ginasio-proximo{
  border-radius: 0;
  background: transparent;
  box-shadow: none !important;
}

.post-gym-container.ginasio-proximo .elementor-post-cat {
  font-size: 14px;
  text-align: center;
}

.post-gym-container.ginasio-proximo .container-ginasio-single .elementor-post__title {
  text-align: center;
}

@media screen and (max-width: 767px){
	
	 
	#search-gyms .searchandfilter > ul {
		margin-left: 0;
	}
	
	#search-gyms input.sf-input-checkbox:not(:checked) + label::after, #search-gyms input.sf-input-checkbox:checked + label::after {
		font-size: 10px;
	}
	
	#search-gyms input.sf-input-checkbox:not(:checked) + label::before, #search-gyms input.sf-input-checkbox:checked + label::before {
		border-radius: 50% !important
	}
	.ginasios-proximos .container-ginasio-single {
	  padding: 15px 15px 0px 15px;
	  height: calc(100% - 200px);
	  display: flex;
	  flex-direction: column;
	}
	
	.post-gym-container.ginasio-proximo .container-ginasio-single .elementor-post__title {
	  margin-bottom: 0;
	  text-align: center;
	}
}